#-------------------------------------------------
#
# Project created by QtCreator 2018-08-20T09:12:54
#
#-------------------------------------------------

QT      += core gui widgets xml

TARGET   = corepad
TEMPLATE = app

VERSION  = 2.8.0

# Library section
unix:!macx: LIBS += -lcprime

# Disable warnings, enable threading support and c++11
CONFIG  += thread silent build_all c++11

# Definetion section
DEFINES += QT_DEPRECATED_WARNINGS
DEFINES += "HAVE_POSIX_OPENPT"

# Build section
BUILD_PREFIX = $$(CA_BUILD_DIR)

isEmpty( BUILD_PREFIX ) {
        BUILD_PREFIX = ./build
}

MOC_DIR       = $$BUILD_PREFIX/moc-qt5
OBJECTS_DIR   = $$BUILD_PREFIX/obj-qt5
RCC_DIR	      = $$BUILD_PREFIX/qrc-qt5
UI_DIR        = $$BUILD_PREFIX/uic-qt5

# Disable Debug on Release
CONFIG(release):DEFINES += QT_NO_DEBUG_OUTPUT

unix {
        isEmpty(PREFIX) {
                PREFIX = /usr
        }
        BINDIR = $$PREFIX/bin

        target.path = $$BINDIR

        desktop.path = $$PREFIX/share/applications/
        desktop.files = "corepad.desktop"

        icons.path = /usr/share/icons/hicolor/scalable/apps/
        icons.files = corepad.svg

        INSTALLS += target icons desktop
}


FORMS += \
    corepad.ui
    
HEADERS += \
    corepad.h \
    csyntaxhighlighter.h \
    ccolorscheme.h \
    ceditor.h

SOURCES += \
    corepad.cpp \
    main.cpp \
    csyntaxhighlighter.cpp \
    ccolorscheme.cpp \
    ceditor.cpp

RESOURCES += \
    syntax.qrc \
    schemes.qrc
    
